KDE 4.9 PyKDE API Reference

- KDE's Python API

# KBookmarkImporterBase Class Reference

`from PyKDE4.kio import *`

Inherits: QObject
Subclasses: KXBELBookmarkImporterImpl, KCrashBookmarkImporterImpl, KIEBookmarkImporterImpl, KNSBookmarkImporterImpl, KOperaBookmarkImporterImpl

## Detailed Description

A class for importing NS bookmarks KEditBookmarks uses it to insert bookmarks into its DOM tree, and KActionMenu uses it to create actions directly.

## Signals

| endFolder ()
| newBookmark (QString text, QString url, QString additionalInfo)
| newFolder (QString text, bool open, QString additionalInfo)
| newSeparator ()

## Methods

| __init__ (self)
QString | findDefaultLocation (self, bool forSaving=0)
| parse (self)
| setFilename (self, QString filename)
| setupSignalForwards (self, QObject src, QObject dst)

## Static Methods

KBookmarkImporterBase | factory (QString type)

## Signal Documentation

endFolder | ( |  | ) |

Tell the outside world that we're going down one menu

Signal syntax:
  `QObject.connect(source, SIGNAL("endFolder()"), target_slot)`

newBookmark | ( | QString | text,
|  | QString | url,
|  | QString | additionalInfo
| ) |  |  |

Notify about a new bookmark Use "html" for the icon

Signal syntax:
  `QObject.connect(source, SIGNAL("newBookmark(const QString&, const QString&, const QString&)"), target_slot)`

newFolder | ( | QString | text,
|  | bool | open,
|  | QString | additionalInfo
| ) |  |  |

Notify about a new folder Use "bookmark_folder" for the icon

Signal syntax:
  `QObject.connect(source, SIGNAL("newFolder(const QString&, bool, const QString&)"), target_slot)`

newSeparator | ( |  | ) |

Notify about a new separator

Signal syntax:
  `QObject.connect(source, SIGNAL("newSeparator()"), target_slot)`

## Method Documentation

__init__ | ( |  | self ) |

QString findDefaultLocation | ( | self, |
|  | bool | forSaving=0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

parse | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

setFilename | ( | self, |
|  | QString | filename
| ) |  |  |

setupSignalForwards | ( | self, |
|  | QObject | src,
|  | QObject | dst
| ) |  |  |

## Static Method Documentation

KBookmarkImporterBase factory | ( | QString | type
| ) |  |  |